Index: /LMDZ5/trunk/libf/phylmd/YOEGWD.h
===================================================================
--- /LMDZ5/trunk/libf/phylmd/YOEGWD.h	(revision 1937)
+++ /LMDZ5/trunk/libf/phylmd/YOEGWD.h	(revision 1938)
@@ -13,5 +13,16 @@
       real GFRCRIT,GKWAKE,GRCRIT,GVCRIT,GKDRAG,GKLIFT
       real GHMAX,GRAHILO,GSIGCR,GSSEC,GTSEC,GVSEC
-      COMMON/YOEGWD/ GFRCRIT,GKWAKE,GRCRIT,GVCRIT,GKDRAG,GKLIFT         &
-     &        ,GHMAX,GRAHILO,GSIGCR,NKTOPG,NSTRA,GSSEC,GTSEC,GVSEC
+
+      REAL RUWMAX
+!     Maximum Eliassen-Palm flux at launch level, in "FLOTT_GWD_rando"
+
+      REAL SAT ! saturation parameter in "FLOTT_GWD_rando"
+!     S_c in equation (12) of Lott (JGR, vol 118, page 8897, 2013)
+
+
+      COMMON/YOEGWD/ GFRCRIT,GKWAKE,GRCRIT,GVCRIT,GKDRAG,GKLIFT,        &
+     &     GHMAX,GRAHILO,GSIGCR,NKTOPG,NSTRA,GSSEC,GTSEC,GVSEC,         &
+     &     RUWMAX, sat
+
+      save /YOEGWD/
 !$OMP THREADPRIVATE(/YOEGWD/)
Index: /LMDZ5/trunk/libf/phylmd/clesphys.h
===================================================================
--- /LMDZ5/trunk/libf/phylmd/clesphys.h	(revision 1937)
+++ /LMDZ5/trunk/libf/phylmd/clesphys.h	(revision 1938)
@@ -65,5 +65,5 @@
        CHARACTER(len=4) type_run
 ! aer_type: pour utiliser un fichier constant dans readaerosol 
-       CHARACTER*8 :: aer_type 
+       CHARACTER(len=8) :: aer_type 
        LOGICAL ok_regdyn
        REAL lonmin_ins, lonmax_ins, latmin_ins, latmax_ins
@@ -76,5 +76,5 @@
        INTEGER :: ip_ebil_phy, iflag_rrtm, iflag_ice_thermo
        LOGICAL :: ok_strato
-       LOGICAL :: ok_hines
+       LOGICAL :: ok_hines, ok_gwd_rando
 
        COMMON/clesphys/cycle_diurne, soil_model, new_oliq,              &
@@ -103,5 +103,5 @@
      &     , qsol0,albsno0,evap0                                        &
      &     , iflag_rrtm, ok_strato,ok_hines,ecrit_LES                   &
-     &     , co2_ppm0, iflag_ice_thermo
+     &     , co2_ppm0, iflag_ice_thermo, ok_gwd_rando
      
        save /clesphys/
